Name: x11-driver-video-v4l
Version: 0.2.0
Release: %mkrel 31
Summary: Xvideo extension port for video overlay
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-v4l-%{version}.tar.bz2
Patch1: xorg-x11-drv-v4l-support_v4l2_only_drivers.patch
Patch2: xf86-video-v4l-0.2.0-build-fix.patch
License: MIT
BuildRequires: x11-proto-devel >= 1.19.0
BuildRequires: x11-server-devel >= 1.17
BuildRequires: x11-util-macros >= 1.0.1
# (tv): v4l need the extmod module
Requires: x11-server-common
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)
Conflicts: x11-server < 1.4

%description
v4l is an Xorg driver for video4linux cards. It provides a Xvideo
extension port for video overlay.

%prep
%setup -q -n xf86-video-v4l-%{version}
%autopatch -p1

%build
%configure2_5x
%make_build

%install
%make_install

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/v4l_drv.la
%{_libdir}/xorg/modules/drivers/v4l_drv.so
%{_mandir}/man4/v4l.*




%changelog
* Fri Mar 10 2017 akien <akien> 0.2.0-31.mga6
+ Revision: 1091640
- Rebuild for v4l-utils 1.12.3

* Thu Nov 17 2016 tv <tv> 0.2.0-30.mga6
+ Revision: 1067626
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 0.2.0-29.mga6
+ Revision: 1043299
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 0.2.0-28.mga6
+ Revision: 963445
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 0.2.0-27.mga6
+ Revision: 902273
- submit to core/release

* Tue Nov 10 2015 tv <tv> 0.2.0-26.mga6
+ Revision: 901411
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 0.2.0-25.mga6
+ Revision: 835814
- rebuild for xserver 1.17 (with patch)

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-24.mga5
+ Revision: 746495
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-23.mga5
+ Revision: 690467
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 0.2.0-22.mga5
+ Revision: 634987
- submit to core/release

* Fri Jun 06 2014 tv <tv> 0.2.0-21.mga5
+ Revision: 633652
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 0.2.0-20.mga5
+ Revision: 614326
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 0.2.0-19.mga5
+ Revision: 582232
- rebuild for new xserver

* Sat Oct 19 2013 umeabot <umeabot> 0.2.0-18.mga4
+ Revision: 525387
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 0.2.0-17.mga4
+ Revision: 433126
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 0.2.0-16.mga4
+ Revision: 386033
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 0.2.0-15.mga3
+ Revision: 288996
- rebuild for new xserver
- rebuild for new xserver

* Wed Jun 06 2012 tmb <tmb> 0.2.0-14.mga3
+ Revision: 256510
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 0.2.0-13.mga3
+ Revision: 252970
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 0.2.0-12.mga3
+ Revision: 249809
- rebuild for new X.org server

* Tue Dec 06 2011 tmb <tmb> 0.2.0-11.mga2
+ Revision: 177484
- submit to core/release

* Sat Oct 08 2011 tv <tv> 0.2.0-10.mga2
+ Revision: 153306
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 0.2.0-9.mga2
+ Revision: 153090
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 0.2.0-8.mga1
+ Revision: 64422
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 0.2.0-7.mga1
+ Revision: 50339
- imported package x11-driver-video-v4l

